/*	=================== BST_Traverse =================== 
	Process tree using inorder traversal. 
	   Pre   Tree has been created (may be null) 
	         process visits nodes during traversal 
	   Post  Nodes processed in LNR (inorder) sequence 
*/
void BST_Traverse (BST_TREE* tree, 
                   void (*process) (void* dataPtr)) 
{
//	Statements 
	_traverse (tree->root, process);
	return;
}  // end BST_Traverse 
