/*	===================== BST_Full ==================== 
	If there is no room for another node, returns true.
	   Pre      tree has been created 
	   Returns  true if no room for another insert
	            false if room
*/
bool BST_Full (BST_TREE* tree)
{
//	Local Definitions 
	NODE* newPtr;
	
//	Statements 
	newPtr = (NODE*)malloc(sizeof (*(tree->root)));
	if (newPtr)
	   {
	    free (newPtr);
	    return false;
	   } // if 
	else
	     return true;
}	// BST_Full 
